#ifndef __DMHEADERREADER_H_INCL__
#define __DMHEADERREADER_H_INCL__

#include "dm.h"
// TODO: your code here
namespace Yang {
  
//Dummy object just for reading SEP header files but no access to binary
class sepHeaderReader: public dm {
public:
	sepHeaderReader(const string& _tag, typeIO _tIO, const string& szInfo, bool bNoDummy=true): dm(_tag,_tIO,szInfo,bNoDummy) 
	{VERIFY(_tIO==dm::IN);}
	void getShape(hypercube &outShape, bool bRemoveDummyAxis=REMOVE_DUMMY_AXIS_DEF);
  void getShape(hypercube &outShape, int n_axis_desired);

};

}

#endif // __DMHEADERREADER_H_INCL__

