#include "stdafx.h"
#include "sep_params.h"
#include "cubeAlgo2.h"
#include "cubeData.hpp"
#include "misc.h"
//#include "tagHack.h"


using namespace Yang;
using namespace std;

//Do align and embed 

int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   cubeData<float> from("from",dm::IN,"");
   cubeData<float> to("to",dm::IN,"");
   from.init(NULL); to.init(NULL);
   cubeData<float> out("out",dm::OUT,"");
   out.init(&(to.domain()));
   to.copyTo(out);
   cropAlign(out,from,false,false);
   
   out.unInit();
   from.unInit();
   to.unInit();
}


