#include "stdafx.h"

#include "cubeData.hpp"
#include "waveOpParams.h"
#include "waveOps.h"

using namespace Yang;

int waveOps::actionIs( waveOps::action_type act) { //mutator
  mAction = act;
  //might need to call some notifiee
  return 0;
}

void waveOps::initOperatorEx(const waveOpParams* params, waveOps::action_type ac_type) {
   FUNC_TRACE_BEG(waveOps::initOperatorEx);
   this->actionIs(ac_type);
   VERIFY(!vmod_.domain().isEmpty()); //check the vmodel is not empty
   const hypercube& shpV = this->vmod().domain();
   VERIFY(shpV.get_ndim()<=3); //the dimension should not be above 3.
   this->initOperator(params,ac_type); //call the internal virtual function.
   FUNC_TRACE_END();
}

