#include "stdafx.h"
// TODO: your code here
#include <execinfo.h>
#include <signal.h>

#include "stackTraceC.h"



void initCallStackTrace() {
   signal(SIGSEGV, exceptionHandler);
   signal(SIGABRT, exceptionHandler);
   signal(255, exceptionHandler);
   signal(-1, exceptionHandler);
}

void exceptionHandler(int sig) {
	void *array[10];
	size_t size;
	//get void*'s fo all entries on the stack
	size = backtrace(array,10);
	//print out all the frames to stderr
	fprintf(stderr,"Error: signal %d:\n",sig);
	backtrace_symbols_fd(array,size,2);
	
#if 1
//#ifndef NDEBUG
	//print my own trace stack result
	cerr <<"My call stack trace:" << endl;
	for (size_t i=0; i<g_szVecCallStack.size(); i++) {
	   cerr << g_szVecCallStack[i] << endl;
	}
#endif
	exit(1);
}

