#include "stdafx.h"
#include "sep_params.h"
#include "cubeData.hpp"
#include "misc.h"
//#include "tagHack.h"


using namespace Yang;
using namespace std;

//See if I can hack the tag file system in seplib
int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   cubeData<float> input("in",dm::IN,"");
   input.init(NULL);
   cubeData<float> output;
   
   bool bAllocOutMemInside = true;
   seplib::callSepTool(output, input, 
                 "Transp", "plane=12", bAllocOutMemInside);
   
   output.dump("out");
   //sep_put_data_axis_par(tag,&i,&n,&o,&d,fileName);
   input.unInit();
}


