#include "stdafx.h"
#include "sep_params.h"
#include "cubeData.hpp"

#include "commonOps.h"
#include "imaging.h"

//operators

using namespace Yang;
using namespace std;

//Dot Prod test for OpInterpLinear
int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   opCausalInt myOp;
   //forward off to angle, backward angle to off
   
   //Just input two cube for the geometry
   hypercube modShape(200,100);
   hypercube datShape(modShape);
   
   myOp.init(modShape,datShape);
   myOp.dot_test();
}



