#include "stdafx.h"
#include "sep_params.h"
#include "cubeData.hpp"

#include "commonOps.h"

using namespace Yang;
using namespace std;

//Dot Prod test for OpInterpLinear
int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   opInterpLin myOp;
   
   hypercube regularGridShape;
   int m=173; float o=10.0, d=10.0;
   axis ax(m,o,d); regularGridShape.set_axes((vector<axis>(1,ax)));
   
   int n=28;
   cubeData<float> coordCube(n);
   for (int i=0; i<n; i++) {
     coordCube(i) = float(rand())/RAND_MAX * 200;
   }
   
   bool bExtend=false;
   myOp.init(coordCube,regularGridShape,bExtend);
   
   myOp.dot_test();
}


