#include "stdafx.h"
#include "sep_params.h"
#include "cubeData.hpp"
#include "tagHack.h"


using namespace Yang;
using namespace std;

//See if I can hack the tag file system in seplib
int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   cubeData<float> input("taghackin.H",dm::IN,"",true);
   input.init(NULL);
   
   char fileName[256], tag[256];
   srand(time(NULL));
   //random gen filename
   int iRand = rand()%65535;
   sprintf(fileName,"TTH%d.H", iRand);
   sprintf(tag,"TTH%d", iRand);
   string sszTag(tag);
   VERIFY(!tagExist(sszTag));
   bool bInput = false;
   cubeData<float> b;
   int i=0;

   bool bNoDummy=true;
   for (i=0; i<10; i++) {
     input.copyTo(b);
     b.scale(float(i+1));
     //addNewSepTag(tag, bInput, fileName );
     dmRsf_oc<float> output(sszTag,dm::OUT,"output",bNoDummy);
     //cubeData<float> output;
     output.init(&input.domain());
     output.seq_update(&b);
     //output.unInit();
     //output.dump("tag2");
     //output.dump(sszTag,true);
     output.unInit();     
     
     dmRsf_oc<float> rread(sszTag,dm::IN,"reinput",bNoDummy);
     rread.init(NULL);
     rread.seq_grab(&b);
     b.info("rread");
   }
   b.info("b");
   
   int n; float o,d;
   i = 3; n=1; o = d = 10.0f;
   //sep_put_data_axis_par(tag,&i,&n,&o,&d,"label");
   //n=2; sep_put_data_axis_par(tag,&i,&n,&o,&d,"label");

   prt("\nSee if successfully dumped to file %s with tag=%s \n", fileName,tag);
   input.unInit();
   
}


