//wrap an operator over wavelet_transform
#include "stdafx.h"
#include "decl_fwd.h"
#include "waveletCompress_f.h"
#include "cubeData.hpp"

using namespace Yang;

void opWaveletComp::oper(cubeData<float>& mod, cubeData<float>& dat, bool bAdj, bool bAdd) {
  VERIFY(dat.domain().sameSize(this->DatShape()));
  wavelet_transform_op(bAdj,bAdd,mod.dataPtr(),dat.dataPtr());
}

void opWaveletComp::init(float* smoother_c,float* roughner_c,int nsm,int nrgh,int n1,int n2,int n3, int n4, int lev1,int lev2,int lev3, int lev4) {
  init_wavelet_transform_f03(smoother_c,roughner_c,nsm,nrgh,n1,n2,n3,n4, lev1,lev2,lev3,lev4);
  hypercube shp(n1,n2,n3);
  //n1/n2/n3 must be divisible by 2**(lev1/lev2/lev3);
  this->setShape(shp,shp);
}

